<?php
/*-------------------------------------------------------+
| PHP-Fusion Content Management System
| Copyright (C) PHP-Fusion Inc
| https://www.php-fusion.co.uk/
+--------------------------------------------------------+
| Filename: infusion.php
| Author: PHP Fusion Development Team
+--------------------------------------------------------+
| This program is released as free software under the
| Affero GPL license. You can redistribute it and/or
| modify it under the terms of this license which you
| can read by viewing the included agpl.txt or online
| at www.gnu.org/licenses/agpl.html. Removal of this
| copyright header is strictly prohibited without
| written permission from the original author(s).
+--------------------------------------------------------*/
if (!defined("IN_FUSION")) { die("Access Denied"); }
include INFUSIONS."news_letter_panel/infusion_db.php";
if (file_exists(INFUSIONS."news_letter_panel/locale/".LANGUAGE.".php")) {
	include INFUSIONS."news_letter_panel/locale/".LANGUAGE.".php";
} else {
	include INFUSIONS."news_letter_panel/locale/English.php";
}
$settings = fusion_get_settings();
// Infusion Information
$inf_title = $locale['nl_100'];
$inf_description = $locale['nl_101'];
$inf_version = "5.03";
$inf_developer = "Terry Broullette(Grimloch)";
$inf_email = "webmaster@whisperwillow.com";
$inf_weburl = "https://www.whisperwillow.com/";
$inf_folder = "news_letter_panel";
$inf_image = "nletter.png";

$inf_newtable[] = DB_NEWS_LETTER." (
nl_id INT(10) UNSIGNED NOT NULL AUTO_INCREMENT,
nl_subject VARCHAR(200) NOT NULL DEFAULT '',
nl_head VARCHAR(200) NOT NULL DEFAULT '',
nl_message TEXT NOT NULL,
nl_format VARCHAR(5) NOT NULL DEFAULT '',
nl_delivery VARCHAR(3) NOT NULL DEFAULT '',
nl_style VARCHAR(6) NOT NULL DEFAULT '',
nl_sent INT(1) UNSIGNED NOT NULL DEFAULT '0',
nl_sent_date VARCHAR(12) NOT NULL DEFAULT '',
nl_datestamp INT(11) UNSIGNED NOT NULL DEFAULT '0',
PRIMARY KEY (nl_id)
) ENGINE=MyISAM DEFAULT CHARSET=UTF8 COLLATE=utf8_unicode_ci";

$inf_newtable[] = DB_NEWS_LETTER_SUBS." (
nl_sub_id SMALLINT(5) UNSIGNED NOT NULL AUTO_INCREMENT,
nl_sub_mail VARCHAR(100) NOT NULL DEFAULT 'user@domain.com',
nl_sub_name VARCHAR(100) NOT NULL DEFAULT '',
nl_sub_stat TINYINT(1) NOT NULL DEFAULT '0',
nl_admin_add TINYINT(1) NOT NULL DEFAULT '0',
nl_sub_date INT(10) NOT NULL DEFAULT '0',
nl_sub_who TINYINT(1) NOT NULL DEFAULT '0',
PRIMARY KEY (nl_sub_id)
) ENGINE=MyISAM DEFAULT CHARSET=UTF8 COLLATE=utf8_unicode_ci";

$inf_newtable[] = DB_NEWS_LETTER_VALIDATE." (
validate_id SMALLINT(5) UNSIGNED NOT NULL AUTO_INCREMENT,
validate_code VARCHAR(32) NOT NULL,
subscript_id SMALLINT(5) NOT NULL,
PRIMARY KEY (validate_id)
) ENGINE=MyISAM DEFAULT CHARSET=UTF8 COLLATE=utf8_unicode_ci";

$inf_newtable[] = DB_NEWS_LETTER_SETTINGS." (
allow_public_subs TINYINT(1) NOT NULL DEFAULT '0',
pm_notify TINYINT(1) NOT NULL DEFAULT '0',
pm_sender VARCHAR(30) NOT NULL DEFAULT ''
) ENGINE=MyISAM DEFAULT CHARSET=UTF8 COLLATE=utf8_unicode_ci";

$inf_newtable[] = DB_NEWS_LETTER_ARCHIVE." (
id SMALLINT(5) UNSIGNED NOT NULL AUTO_INCREMENT,
nl_subject VARCHAR(100) NOT NULL DEFAULT '',
nl_content VARCHAR(100) NOT NULL DEFAULT '',
nl_date_sent VARCHAR(12) NOT NULL DEFAULT '',
datestamp INT(10) UNSIGNED NOT NULL DEFAULT '0',
PRIMARY KEY (id)
) ENGINE=MyISAM DEFAULT CHARSET=UTF8 COLLATE=utf8_unicode_ci";

$inf_insertdbrow[] = DB_NEWS_LETTER." (nl_subject, nl_head, nl_message, nl_format, nl_delivery, nl_style, nl_sent, nl_sent_date, nl_datestamp) VALUES('Template 01','News Header Text - Change Me','
Erase me and replace with newsletter or notice content.','html','um1','tpl01','0','xxx xx, xxxx','".time()."')";
$inf_insertdbrow[] = DB_NEWS_LETTER." (nl_subject, nl_head, nl_message, nl_format, nl_delivery, nl_style, nl_sent, nl_sent_date, nl_datestamp) VALUES('Template 02','News Header Text - Change Me','
Erase me and replace with newsletter or notice content.','html','um1','tpl02','0','xxx xx, xxxx','".time()."')";
$inf_insertdbrow[] = DB_NEWS_LETTER." (nl_subject, nl_head, nl_message, nl_format, nl_delivery, nl_style, nl_sent, nl_sent_date, nl_datestamp) VALUES('Template 03','News Header Text - Change Me','
Erase me and replace with newsletter or notice content.','html','um1','tpl03','0','xxx xx, xxxx','".time()."')";
$inf_insertdbrow[] = DB_NEWS_LETTER." (nl_subject, nl_head, nl_message, nl_format, nl_delivery, nl_style, nl_sent, nl_sent_date, nl_datestamp) VALUES('Template 04','News Header Text - Change Me','
Erase me and replace with newsletter or notice content.','html','um1','tpl04','0','xxx xx, xxxx','".time()."')";
$inf_insertdbrow[] = DB_NEWS_LETTER." (nl_subject, nl_head, nl_message, nl_format, nl_delivery, nl_style, nl_sent, nl_sent_date, nl_datestamp) VALUES('Template 05','News Header Text - Change Me','
Erase me and replace with newsletter or notice content.','html','um1','tpl05','0','xxx xx, xxxx','".time()."')";
$inf_insertdbrow[] = DB_NEWS_LETTER." (nl_subject, nl_head, nl_message, nl_format, nl_delivery, nl_style, nl_sent, nl_sent_date, nl_datestamp) VALUES('Template 06','News Header Text - Change Me','
Erase me and replace with newsletter or notice content.','html','um1','tpl06','0','xxx xx, xxxx','".time()."')";
$inf_insertdbrow[] = DB_NEWS_LETTER." (nl_subject, nl_head, nl_message, nl_format, nl_delivery, nl_style, nl_sent, nl_sent_date, nl_datestamp) VALUES('Template 07','News Header Text - Change Me','
Erase me and replace with newsletter or notice content.','html','um1','tpl07','0','xxx xx, xxxx','".time()."')";
$inf_insertdbrow[] = DB_NEWS_LETTER." (nl_subject, nl_head, nl_message, nl_format, nl_delivery, nl_style, nl_sent, nl_sent_date, nl_datestamp) VALUES('Template 08','News Header Text - Change Me','
Erase me and replace with newsletter or notice content.','html','um1','tpl08','0','xxx xx, xxxx','".time()."')";
$inf_insertdbrow[] = DB_NEWS_LETTER." (nl_subject, nl_head, nl_message, nl_format, nl_delivery, nl_style, nl_sent, nl_sent_date, nl_datestamp) VALUES('Template 09','News Header Text - Change Me','
Erase me and replace with newsletter or notice content.','html','um1','tpl09','0','xxx xx, xxxx','".time()."')";
$inf_insertdbrow[] = DB_NEWS_LETTER." (nl_subject, nl_head, nl_message, nl_format, nl_delivery, nl_style, nl_sent, nl_sent_date, nl_datestamp) VALUES('Template 10','News Header Text - Change Me','
Erase me and replace with newsletter or notice content.','html','um1','tpl10','0','xxx xx, xxxx','".time()."')";
$inf_insertdbrow[] = DB_NEWS_LETTER_SETTINGS." (allow_public_subs) VALUES ('0')";
$inf_insertdbrow[] = DB_NEWS_LETTER_SETTINGS." (pm_notify) VALUES ('0')";
$inf_insertdbrow[] = DB_NEWS_LETTER_SETTINGS." (pm_sender) VALUES ('none')";

$inf_adminpanel[] = [
        "rights"   => "GNS",
        "image"    => $inf_image,
        "title"    => $locale['nl_100'],
        "panel"    => "news_letter_menu.php",
        "page"     => 5,
        'language' => LANGUAGE
    ];

$inf_sitelink[] = [
	"title" => $locale['nl_470'],
	"url" => "subscriptions.php",
	"visibility" => "-101"
    ];

$inf_sitelink[] = [
	"title" => $locale['nl_110'],
	"url" => "news_letter_archive.php",
	"visibility" => "-103"
    ];

if(isset($_POST['infuse'])){ 
    dbquery("    ALTER TABLE ".DB_USERS."  
                ADD user_newsletter tinyint(1) NOT NULL DEFAULT '0';
            ");
}

if(isset($_GET['defuse'])){ 
    dbquery("    ALTER TABLE ".DB_USERS."  
                DROP user_newsletter;
            ");
}

// Uninstallation
$inf_droptable[] = DB_NEWS_LETTER;
$inf_droptable[] = DB_NEWS_LETTER_SUBS;
$inf_droptable[] = DB_NEWS_LETTER_VALIDATE;
$inf_droptable[] = DB_NEWS_LETTER_SETTINGS;
$inf_droptable[] = DB_NEWS_LETTER_ARCHIVE;
$inf_deldbrow[] = DB_ADMIN." WHERE admin_rights='GNS'";
$inf_deldbrow[] = DB_PANELS." WHERE panel_filename='".$inf_folder."'";
$inf_deldbrow[] = DB_SETTINGS_INF." WHERE settings_inf='".$inf_folder."'";