<?php
/*-------------------------------------------------------+
| PHP-Fusion Content Management System
| Copyright (C) PHP-Fusion Inc
| https://www.php-fusion.co.uk/
+--------------------------------------------------------+
| Filename: news_letter_menu.php
| Author: Terry Broullette(Grimloch)
| Email: webmaster@whisperwillow.com
| Website: https://www.whisperwillow.com
+--------------------------------------------------------+
| This program is released as free software under the
| Affero GPL license. You can redistribute it and/or
| modify it under the terms of this license which you
| can read by viewing the included agpl.txt or online
| at www.gnu.org/licenses/agpl.html. Removal of this
| copyright header is strictly prohibited without
| written permission from the original author(s).
+--------------------------------------------------------*/
require_once "../../maincore.php";
require_once THEMES."templates/admin_header.php";
include INFUSIONS."news_letter_panel/infusion_db.php";
if (file_exists(INFUSIONS."news_letter_panel/locale/".LANGUAGE.".php")) {
	include INFUSIONS."news_letter_panel/locale/".LANGUAGE.".php";
} else {
	include INFUSIONS."news_letter_panel/locale/English.php";
}
$settings = fusion_get_settings();
$userdata = fusion_get_userdata();
$aidlink = fusion_get_aidlink();
if (!checkrights("GNS") || !defined("iAUTH") || $_GET['aid'] != iAUTH) { redirect("../../index.php"); }
add_to_head("<link rel='stylesheet' href='".INFUSIONS."news_letter_panel/include/nl_style.css' type='text/css' />");

$subs_allow = isset($_REQUEST['subs_allow']) ? $_REQUEST['subs_allow'] : "";
$pm_allow = isset($_REQUEST['pm_allow']) ? $_REQUEST['pm_allow'] : "";

if (isset($_POST['pub_sub'])) {
		if (isset($_POST['subs_allow'])) {
	$result1 = dbquery("UPDATE ".DB_NEWS_LETTER_SETTINGS." SET allow_public_subs='".$_POST['subs_allow']."'");
	}
		if (isset($_POST['pm_allow'])) {
	$result2 = dbquery("UPDATE ".DB_NEWS_LETTER_SETTINGS." SET pm_notify='".$_POST['pm_allow']."'");
	}
		if (isset($_POST['sender'])) {
	$result3 = dbquery("UPDATE ".DB_NEWS_LETTER_SETTINGS." SET pm_sender='".$_POST['sender']."'");
	}
}

	$result = dbquery("SELECT allow_public_subs, pm_notify, pm_sender FROM ".DB_NEWS_LETTER_SETTINGS."");
	$data=dbarray($result);
	$allow = $data['allow_public_subs'];
	$notify = $data['pm_notify'];
	$sender = $data['pm_sender'];

opentable($locale['nl_600']);
	echo "<br /><div align='center'><h1>".$locale['nl_602']."</h1></div>\n";
	echo "<form id='sub_select' name='sub_select' method='post' action='".FUSION_SELF.$aidlink."'>\n";
	echo "<table width='65%' class='tbl-brdr3' align='center' cellspacing='0' cellpadding='0' border='0'><tr>\n";
	echo "<td align='center' class='tbl1' colspan='3'><h4><b>".$locale['nl_250']."</b></h4></td>\n";
	echo "</tr><tr>\n";
	echo "<td align='center' width='33%'><b>".$locale['nl_862']." - 1</b><br /><input type='checkbox' name='subs_allow' value='1' /></td><td align='center' width='34%'><b>".$locale['nl_861']." - 0</b><br /><input type='checkbox' name='subs_allow' value='0' /></td><td align='center' width='33%'><b>".$locale['nl_863']." - 2</b><br /><input type='checkbox' name='subs_allow' value='2' /></td>\n";
	echo "</tr><tr>\n";
	echo "<td align='center'>".$locale['nl_864']."</td><td align='center'>".$locale['nl_865']."</td><td align='center'>".$locale['nl_866']."</td>\n";
	echo "</tr><tr>\n";
	echo "<td align='center' colspan='3'><h5><b>".$locale['nl_261']."$allow</b></h5></td>\n";
	echo "</tr><tr>\n";
	echo "<td align='center' class='tbl1' colspan='3'><h4><b>".$locale['nl_260']."</b></h4></td>\n";
	echo "</tr><tr>\n";
	echo "<td align='center'><b>".$locale['nl_862']." - 1</b><br /><input type='checkbox' name='pm_allow' value='1' /></td><td></td><td align='center'><b>".$locale['nl_861']." - 0</b><br /><input type='checkbox' name='pm_allow' value='0' /></td>\n";
	echo "</tr><tr>\n";
	echo "<td align='center'>".$locale['nl_867']."</td><td></td><td align='center'>".$locale['nl_868']."</td>\n";
	echo "</tr><tr>\n";
	echo "<td align='center' colspan='3'><h5><b>".$locale['nl_262']."$notify</b></h5><p></p></td>\n";
	echo "</tr><tr>\n";
	$userlist = ""; $sel = "";
	$result = dbquery("SELECT user_id, user_name FROM ".DB_USERS." WHERE user_status='0' AND user_level='-101' ORDER BY user_name ASC");
	if (dbrows($result) != 0) {
		while ($data = dbarray($result)) {
                	if (isset($_POST['user_id']) && isnum($_POST['user_id'])) {
			      $sel = ($_POST['user_id'] == $data['user_id'] ? " selected" : "");
			}
			$userlist .= "<option value='".$data['user_id']."'$sel>".$data['user_name']."</option>\n";
		}
	}
	echo "<td width='100%' align='center' colspan='3'>\n";
	echo "<table width='100%'><tr>\n";
	echo "<td width='40%' align='right'><a href='' class='addspeech' title='".$locale['nl_936']."' rel='#speechbubble8'><img src='images/help.gif' border='0' alt='' /></a>&nbsp;<b>".$locale['nl_869']."</b></td><td align='left'><select name='sender' class='textbox' style='width:200px;'>".$userlist."</select></td>\n";
	echo "</tr><tr>\n";
$result = dbquery("SELECT user_name FROM ".DB_USERS." WHERE user_id='".$sender."'");
	$data=dbarray($result);
	$person = $data['user_name'];
	echo "<td align='center' colspan='3'><h5><b>".$locale['nl_263']."$person</b></h5><p></p></td>\n";
	echo "</tr></table></td>\n";
	echo "</tr><tr>\n";
	echo "<td align='center' colspan='3' height='20'></td>\n";
	echo "</tr><tr>\n";
	echo "<td align='center' colspan='3'><input type='submit' name='pub_sub' value='".$locale['nl_244']."' class='button'></td>\n";
	echo "</tr></table></form><p><br /></p>\n";
	echo "<table align='center' cellpadding='0' cellspacing='0' width='65%' class='tbl-brdr3'><tr>\n";
	echo "<td align='center' width='20%'><a class='btn btn-sm btn-success' href='".INFUSIONS."news_letter_panel/news_letter_admin.php".$aidlink."'>".$locale['nl_604']."</a></td>\n";
	echo "<td align='center' width='20%'><a class='btn btn-sm btn-success' href='".INFUSIONS."news_letter_panel/news_letter_archive_admin.php".$aidlink."'>".$locale['nl_609']."</a></td>\n";
	echo "<td align='center' width='20%'><a class='btn btn-sm btn-success' href='".INFUSIONS."news_letter_panel/news_letter_subs.php".$aidlink."'>".$locale['nl_606']."</a></td>\n";
if($allow == 1) {
	echo "<td align='center' width='20%'><a class='btn btn-sm btn-success' href='".INFUSIONS."news_letter_panel/news_letter_validate_admin.php".$aidlink."'>".$locale['nl_607']."</a></td>\n";
}
	echo "<td align='center' width='20%'><a class='btn btn-sm btn-success' href='".INFUSIONS."news_letter_panel/news_letter_uploads.php".$aidlink."'>".$locale['nl_608']."</a></td>\n";
	echo "</tr></table>\n";
closetable();
require_once THEMES."templates/footer.php";
?>