<?php
/*-------------------------------------------------------+
| PHP-Fusion Content Management System
| Copyright (C) PHP-Fusion Inc
| https://www.php-fusion.co.uk/
+--------------------------------------------------------+
| Filename: news_letter_validate_admin.php
| Author: Terry Broullette(Grimloch)
| Email: webmaster@whisperwillow.com
| Website: https://www.whisperwillow.com
+--------------------------------------------------------+
| This program is released as free software under the
| Affero GPL license. You can redistribute it and/or
| modify it under the terms of this license which you
| can read by viewing the included agpl.txt or online
| at www.gnu.org/licenses/agpl.html. Removal of this
| copyright header is strictly prohibited without
| written permission from the original author(s).
+--------------------------------------------------------*/
require_once "../../maincore.php";
require_once THEMES."templates/admin_header.php";
include INFUSIONS."news_letter_panel/infusion_db.php";
if (file_exists(INFUSIONS."news_letter_panel/locale/".LANGUAGE.".php")) {
	include INFUSIONS."news_letter_panel/locale/".LANGUAGE.".php";
} else {
	include INFUSIONS."news_letter_panel/locale/English.php";
}
$settings = fusion_get_settings();
$aidlink = fusion_get_aidlink();
if (!checkrights("GNS") || !defined("iAUTH") || $_GET['aid'] != iAUTH) { redirect("../../index.php"); }
add_to_head("<link rel='stylesheet' href='".INFUSIONS."news_letter_panel/include/nl_style.css' type='text/css' />");

opentable($locale['nl_200']);
echo "<table cellpadding='0' cellspacing='0' width='65%' align='center' class='tbl-brdr3'><tr>\n";
echo "<td align='center' width='17%'><a class='btn btn-sm btn-success' href='".INFUSIONS."news_letter_panel/news_letter_menu.php".$aidlink."'>".$locale['nl_603']."</a></td>\n";
echo "<td align='center' width='17%'><a class='btn btn-sm btn-success' href='".INFUSIONS."news_letter_panel/news_letter_admin.php".$aidlink."'>".$locale['nl_605']."</a></td>\n";
echo "<td align='center' width='16%'><a class='btn btn-sm btn-success' href='".INFUSIONS."news_letter_panel/news_letter_archive_admin.php".$aidlink."'>".$locale['nl_609']."</a></td>\n";
echo "<td align='center' width='16%'><a class='btn btn-sm btn-success' href='".INFUSIONS."news_letter_panel/news_letter_subs.php".$aidlink."'>".$locale['nl_606']."</a></td>\n";
echo "<td align='center' width='17%'><a class='btn btn-sm btn-success' href='".FUSION_SELF.$aidlink."'>".$locale['nl_607']."</a></td>\n";
echo "<td align='center' width='17%'><a class='btn btn-sm btn-success' href='".INFUSIONS."news_letter_panel/news_letter_uploads.php".$aidlink."'>".$locale['nl_608']."</a></td>\n";
echo "</table>\n";
closetable();
echo "<br />";
opentable($locale['nl_241']);

if (isset($_POST['valcode'])) {
	$code = $_POST['subscript_id'];
	$del1 = dbquery("DELETE FROM ".DB_NEWS_LETTER_SUBS." WHERE nl_sub_who='0' AND nl_sub_id='$code'");
	$del2 = dbquery("DELETE FROM ".DB_NEWS_LETTER_VALIDATE." WHERE subscript_id='$code'");
	echo $locale['nl_248']."<br /><br />";
}

$result = dbquery("SELECT * FROM ".DB_NEWS_LETTER_VALIDATE."");
if (dbrows($result) !=0) {
	echo "<table width='65%' align='center' class='tbl-brdr4' cellpadding='0' cellspacing='0'><tr>\n";
	echo "<td class='tbl2'><form name='val_form' method='post' action='".FUSION_SELF.$aidlink."'>".$locale['nl_224']."</td>\n";
	echo "<td class='tbl2'>".$locale['nl_242']."</td>\n";
	echo "<td class='tbl2'>".$locale['nl_227']."</td>\n";
	echo "<td class='tbl2'>".$locale['nl_249']."</td>\n";
	echo "<td class='tbl2'>".$locale['nl_228']."</td></tr>\n";	
	while ($data = dbarray($result)) {
		$ccd = dbquery("SELECT * FROM ".DB_NEWS_LETTER_SUBS." WHERE nl_sub_id='".$data['subscript_id']."'");
		$ccd_a = dbarray($ccd);
		echo "<tr><td class='tbl1'><a href='mailto:".$ccd_a['nl_sub_mail']."'>".$ccd_a['nl_sub_mail']."</a></td>\n";
		echo "<td class='tbl1'>".$data['validate_code']."</td>\n";
		echo "<td class='tbl1'>".showdate("shortdate", $ccd_a['nl_sub_date'])."</td>\n";
		echo "<td class='tbl1'>".$data['subscript_id']."</td>\n";
		echo "<td class='tbl1'><input type='hidden' name='subscript_id' value='".$data['subscript_id']."'><input type='submit' name='valcode' value='".$locale['nl_239']."'></td></tr>\n";
	}
	echo "</form></table>";
}
else{
	echo "<div style='text-align:center'>".$locale['nl_243']."</div>";
}
closetable();
require_once THEMES."templates/footer.php";
?>